@Echo off

REM  Dokumentation:
REM  Deploys all Software and Resureces to Customer Locations
REM
REM        Datum        wer     Info
REM  #New 10.12.2015   J.Fes   first desinge
REM  #LUp 10.12.2015   J.Fes   add JobMgrSettingsGlobal_JobScripts1
REM  #LUp 11.02.2024   J.Fes   call changed to JobManagerDeployControl_cmd

REM  REM #Doc: this Script uses %CmdCurRoot_DP%\..\99-Install\JobManagerDeployControl.cmd
REM  REM #Doc: Please Edit all settings marked via #ToDo

 CLS

 REM -- Org Base Dirs
 set CmdCurRoot_DP=%~dp0
 set CmdCurRoot_DP=%CmdCurRoot_DP:~0,-1%
 set AppRoot_TP=JobManagerV3

 REM --- Deploy Parameter -------
 set Opt_Deploy_AutoDa=%~1
 set Opt_Deploy_Applic=%~2
 set Opt_Deploy_Custom=%~3

 REM ***************** Definition target path ******************
 REM #ToDo: Setup Custom Short Name
 set CustomShort=#PleaseSetup_CustomShort#
 REM #ToDo: Setup LeadSiteShortName
 set LeadSiteShortName=#PleaseSetup_LeadSiteShortName#
 REM #ToDo: Setup Target Sites
 set D1_ShortName=#PleaseSetup_D1_ShortName#
 set D1_Root_DP=#PleaseSetup_D1_Root_DP\\MyServer\plmshare\%AppRoot_TP%#

 REM #ToDo: Setup Target Sites
 set D2_ShortName=
 set D2_Root_DP=

 REM #ToDo: Setup Target Sites
 set D3_ShortName=
 set D3_Root_DP=

 REM #ToDo: Setup Target Sites
 set D4_ShortName=
 set D4_Root_DP=

 REM #ToDo: Setup which JobMgr Toolbar to Deploy to Sites
 REM #      #Doc: use _JobManagerV3 _JobManagerV3_T or _JobManagerV3_P
 set JobMgrToolbar1=_%AppRoot_TP%_T
 set JobMgrToolbar2=
 set JobMgrToolbar3=
 set JobMgrToolbar4=

 REM #ToDo: Setup which JobMgr JobScripts to Deploy to Sites
 REM #      #Doc: Example CheckBox RefileNX10 TCSiteCons
 set JobMgrSettingsGlobal_JobScripts1=
 set JobMgrSettingsGlobal_JobScripts2=
 set JobMgrSettingsGlobal_JobScripts3=
 set JobMgrSettingsGlobal_JobScripts4=
 set JobMgrSettingsGlobal_JobScripts5=
 set JobMgrSettingsGlobal_JobScripts6=
 set JobMgrSettingsGlobal_JobScripts7=
 set JobMgrSettingsGlobal_JobScripts8=
 set JobMgrSettingsGlobal_JobScripts9=


 REM #ToDo: Define Sub Dirs that are to delete in target Sides
 set JobMgr_DelDir1=
 set JobMgr_DelDir2=
 set JobMgr_DelDir3=
 set JobMgr_DelDir4=

 REM runs JobManagerDeployControl.cmd
 set JobManagerDeployControl_cmd=%CmdCurRoot_DP%\..\99-Install\JobManagerDeployControl.cmd
 if exist "%CmdCurRoot_DP%\JobManagerDeployControl.cmd" set JobManagerDeployControl_cmd=%CmdCurRoot_DP%\JobManagerDeployControl.cmd
 Call "%JobManagerDeployControl_cmd%"
 exit /B

